package com.mdd.admin.validate.license;

import com.mdd.common.validator.annotation.IDMust;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("系统许可证更新参数")
public class LicenseUpdateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @IDMust(
      message = "licenseId参数必传且需大于0"
   )
   @ApiModelProperty("许可证ID")
   private Long licenseId;
   @ApiModelProperty("许可证")
   private @NotNull(
   message = "code参数缺失"
) String code;
   @ApiModelProperty("校验地址")
   private @NotNull(
   message = "checkUrl参数缺失"
) String checkUrl;

   public Long getLicenseId() {
      return this.licenseId;
   }

   public @NotNull(
   message = "code参数缺失"
) String getCode() {
      return this.code;
   }

   public @NotNull(
   message = "checkUrl参数缺失"
) String getCheckUrl() {
      return this.checkUrl;
   }

   public void setLicenseId(Long licenseId) {
      this.licenseId = licenseId;
   }

   public void setCode(@NotNull(
   message = "code参数缺失"
) String code) {
      this.code = code;
   }

   public void setCheckUrl(@NotNull(
   message = "checkUrl参数缺失"
) String checkUrl) {
      this.checkUrl = checkUrl;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof LicenseUpdateValidate)) {
         return false;
      } else {
         LicenseUpdateValidate other = (LicenseUpdateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$licenseId = this.getLicenseId();
               Object other$licenseId = other.getLicenseId();
               if (this$licenseId == null) {
                  if (other$licenseId == null) {
                     break label47;
                  }
               } else if (this$licenseId.equals(other$licenseId)) {
                  break label47;
               }

               return false;
            }

            Object this$code = this.getCode();
            Object other$code = other.getCode();
            if (this$code == null) {
               if (other$code != null) {
                  return false;
               }
            } else if (!this$code.equals(other$code)) {
               return false;
            }

            Object this$checkUrl = this.getCheckUrl();
            Object other$checkUrl = other.getCheckUrl();
            if (this$checkUrl == null) {
               if (other$checkUrl != null) {
                  return false;
               }
            } else if (!this$checkUrl.equals(other$checkUrl)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof LicenseUpdateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $licenseId = this.getLicenseId();
      result = result * 59 + ($licenseId == null ? 43 : $licenseId.hashCode());
      Object $code = this.getCode();
      result = result * 59 + ($code == null ? 43 : $code.hashCode());
      Object $checkUrl = this.getCheckUrl();
      result = result * 59 + ($checkUrl == null ? 43 : $checkUrl.hashCode());
      return result;
   }

   public String toString() {
      return "LicenseUpdateValidate(licenseId=" + this.getLicenseId() + ", code=" + this.getCode() + ", checkUrl=" + this.getCheckUrl() + ")";
   }
}
